Codevisor Server
Api reference

PATCH Harnesses Id

PATCH/v1/harnesses/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

enabled*boolean

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/harnesses/string" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{  "id": "string",  "name": "string",  "symbolName": "string",  "source": "string",  "launchKind": "executable",  "enabled": true,  "desiredEnabled": true,  "readiness": {    "state": "ready",    "detail": "string"  },  "auth": {    "state": "checking",    "activeAccountId": "string",    "accounts": [      {        "id": "string",        "harnessId": "string",        "profileKind": "default",        "label": "string",        "email": "string",        "organizationId": "string",        "authMethod": "string",        "authState": "checking",        "isActive": true,        "canLogin": true,        "canLogout": true,        "lastCheckedAt": "string",        "detail": "string"      }    ],    "loginMethods": [      {        "id": "string",        "name": "string",        "description": "string",        "kind": "browser"      }    ],    "supportsMultipleAccounts": true,    "detail": "string"  },  "installHint": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}